Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ZipEntryFactory Class Reference

Basic implementation of IEntryFactory More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.ZipEntryFactory:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.ZipEntryFactory:
[legend]

## Public Types
enum | TimeSetting { LastWriteTime , LastWriteTimeUtc , CreateTime , CreateTimeUtc , LastAccessTime , LastAccessTimeUtc , Fixed }
| Defines the possible values to be used for the ZipEntry.DateTime. More...

## Public Member Functions
| ZipEntryFactory ()
| Initialise a new instance of the ZipEntryFactory class.
| ZipEntryFactory (TimeSetting timeSetting)
| Initialise a new instance of ZipEntryFactory using the specified TimeSetting
| ZipEntryFactory (DateTime time)
| Initialise a new instance of ZipEntryFactory using the specified DateTime
ZipEntry | MakeFileEntry (string fileName)
| Make a new ZipEntry for a file.
ZipEntry | MakeFileEntry (string fileName, bool useFileSystem)
| Make a new ZipEntry from a name.
ZipEntry | MakeDirectoryEntry (string directoryName)
| Make a new ZipEntry for a directory.
ZipEntry | MakeDirectoryEntry (string directoryName, bool useFileSystem)
| Make a new ZipEntry for a directory.

## Properties
INameTransform | NameTransform`[get, set]`
| Get / set the INameTransform to be used when creating new ZipEntry values.
TimeSetting | Setting`[get, set]`
| Get / set the TimeSetting in use.
DateTime | FixedDateTime`[get, set]`
| Get / set the DateTime value to use when Setting is set to TimeSetting.Fixed
int | GetAttributes`[get, set]`
| A bitmask defining the attributes to be retrieved from the actual file.
int | SetAttributes`[get, set]`
| A bitmask defining which attributes are to be set on.
bool | IsUnicodeText`[get, set]`
| Get set a value indicating wether unidoce text should be set on.

## Private Attributes
INameTransform | nameTransform_
DateTime | fixedDateTime_ = DateTime.Now
TimeSetting | timeSetting_
bool | isUnicodeText_
int | getAttributes_ = -1
int | setAttributes_

## Detailed Description

Basic implementation of IEntryFactory

## Member Enumeration Documentation

## ◆ TimeSetting

enum ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.TimeSetting

Defines the possible values to be used for the ZipEntry.DateTime.

Enumerator
LastWriteTime | Use the recorded LastWriteTime value for the file.
LastWriteTimeUtc | Use the recorded LastWriteTimeUtc value for the file.
CreateTime | Use the recorded CreateTime value for the file.
CreateTimeUtc | Use the recorded CreateTimeUtc value for the file.
LastAccessTime | Use the recorded LastAccessTime value for the file.
LastAccessTimeUtc | Use the recorded LastAccessTimeUtc value for the file.
Fixed | Use a fixed value. The actual DateTime value used can be specified via the ZipEntryFactory(DateTime) constructor or using the ZipEntryFactory(TimeSetting) with the setting set to TimeSetting.Fixed which will use the DateTime when this class was constructed. The FixedDateTime property can also be used to set this value.

## Constructor & Destructor Documentation

## ◆ ZipEntryFactory() [1/3]

ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.ZipEntryFactory | ( |  | ) |

Initialise a new instance of the ZipEntryFactory class.

A default INameTransform, and the LastWriteTime for files is used.

## ◆ ZipEntryFactory() [2/3]

ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.ZipEntryFactory | ( | TimeSetting | timeSetting | ) |

Initialise a new instance of ZipEntryFactory using the specified TimeSetting

Parameters

  timeSetting | The time setting to use when creating Zip entries.

## ◆ ZipEntryFactory() [3/3]

ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.ZipEntryFactory | ( | DateTime | time | ) |

Initialise a new instance of ZipEntryFactory using the specified DateTime

Parameters

  time | The time to set all ZipEntry.DateTime values to.

## Member Function Documentation

## ◆ MakeDirectoryEntry() [1/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.MakeDirectoryEntry | ( | string | directoryName | ) |

Make a new ZipEntry for a directory.

Parameters

  directoryName | The raw untransformed name for the new directory

Returns
  Returns a new ZipEntry representing a directory.

Implements ICSharpCode.SharpZipLib.Zip.IEntryFactory.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ MakeDirectoryEntry() [2/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.MakeDirectoryEntry | ( | string | directoryName,
|  | bool | useFileSystem )

Make a new ZipEntry for a directory.

Parameters

  directoryName | The raw untransformed name for the new directory
  useFileSystem | If true entry detail is retrieved from the file system if the file exists.

Returns
  Returns a new ZipEntry representing a directory.

Implements ICSharpCode.SharpZipLib.Zip.IEntryFactory.

## ◆ MakeFileEntry() [1/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.MakeFileEntry | ( | string | fileName | ) |

Make a new ZipEntry for a file.

Parameters

  fileName | The name of the file to create a new entry for.

Returns
  Returns a new ZipEntry based on the fileName .

Implements ICSharpCode.SharpZipLib.Zip.IEntryFactory.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ MakeFileEntry() [2/2]

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.MakeFileEntry | ( | string | fileName,
|  | bool | useFileSystem )

Make a new ZipEntry from a name.

Parameters

  fileName | The name of the file to create a new entry for.
  useFileSystem | If true entry detail is retrieved from the file system if the file exists.

Returns
  Returns a new ZipEntry based on the fileName .

Implements ICSharpCode.SharpZipLib.Zip.IEntryFactory.

## Member Data Documentation

## ◆ fixedDateTime_

DateTime ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.fixedDateTime_ = DateTime.Now
| private

## ◆ getAttributes_

int ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.getAttributes_ = -1
| private

## ◆ isUnicodeText_

bool ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.isUnicodeText_
| private

## ◆ nameTransform_

INameTransform ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.nameTransform_
| private

## ◆ setAttributes_

int ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.setAttributes_
| private

## ◆ timeSetting_

TimeSetting ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.timeSetting_
| private

## Property Documentation

## ◆ FixedDateTime

DateTime ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.FixedDateTime
| get set

Get / set the DateTime value to use when Setting is set to TimeSetting.Fixed

## ◆ GetAttributes

int ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.GetAttributes
| get set

A bitmask defining the attributes to be retrieved from the actual file.

The default is to get all possible attributes from the actual file.

## ◆ IsUnicodeText

bool ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.IsUnicodeText
| get set

Get set a value indicating wether unidoce text should be set on.

## ◆ NameTransform

INameTransform ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.NameTransform
| get set

Get / set the INameTransform to be used when creating new ZipEntry values.

Setting this property to null will cause a default name transform to be used.

Implements ICSharpCode.SharpZipLib.Zip.IEntryFactory.

## ◆ SetAttributes

int ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.SetAttributes
| get set

A bitmask defining which attributes are to be set on.

By default no attributes are set on.

## ◆ Setting

TimeSetting ICSharpCode.SharpZipLib.Zip.ZipEntryFactory.Setting
| get set

Get / set the TimeSetting in use.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipEntryFactory.cs